<?php
$config->workflowdatasource->modules = array();
$config->workflowdatasource->modules['flow'] = array('workflow');
$config->workflowdatasource->modules['sys']  = array('company', 'entry', 'group', 'schema', 'tree', 'user', 'usercontact');

$config->workflowdatasource->methods = array();
$config->workflowdatasource->methods['flow']['workflow']           = array('getApps', 'getAppMenus', 'getBuildinModules', 'getPairs', 'getVersionPairs');
$config->workflowdatasource->methods['flow']['workflowaction']     = array('getPairs', 'getUsers2Notice'); 
$config->workflowdatasource->methods['flow']['workflowdatasource'] = array('getAppModules', 'getModuleMethods', 'getDefaultParams', 'getPairs'); 
$config->workflowdatasource->methods['flow']['workflowfield']      = array('getPairs', 'getFieldPairs', 'getCustomFields', 'getExportFields', 'getValueFields'); 
$config->workflowdatasource->methods['flow']['workflowlayout']     = array('getFields'); 
$config->workflowdatasource->methods['flow']['workflowhook']       = array('getTableFields'); 
$config->workflowdatasource->methods['flow']['workflowrule']       = array('getPairs'); 

$config->workflowdatasource->methods['sys']['company']             = array('getPairs');
$config->workflowdatasource->methods['sys']['entry']               = array('getPairs');
$config->workflowdatasource->methods['sys']['flow']                = array('getDataPairs');
$config->workflowdatasource->methods['sys']['group']               = array('getPairs', 'getUserPairs');
$config->workflowdatasource->methods['sys']['schema']              = array('getPairs');
$config->workflowdatasource->methods['sys']['tree']                = array('getPairs', 'getFamily', 'getAllChildID', 'getOptionMenu', 'getOptionMenuByMajor');
$config->workflowdatasource->methods['sys']['user']                = array('getPairs', 'getRealNamePairs', 'getUserRoles', 'getRoleList', 'getUserManagerPairs');
$config->workflowdatasource->methods['sys']['usercontact']         = array('getPairs');

$config->workflowdatasource->langList = array();
$config->workflowdatasource->langList['role'] = array('app' => 'sys', 'module' => 'user', 'field' => 'roleList');

$config->workflowdatasource->deletes = array('1', '2', '3', '4', '5', '6', '10', '11');
